View Issue Details

IDProjectCategoryView StatusLast Update
0014230CentOS-7centos-releasepublic2018-05-31 12:21
Reporterqha 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version7.4.1708 
Target VersionFixed in Version7.5.1804 
Summary0014230: Centos 7 x86_64 debuginfo yumrepo contains two versions of firefox-debuginfo that Pulp considers the same
DescriptionCentos 7 x86_64 debuginfo yumrepo contains two versions of firefox-debuginfo that Pulp considers the same.

This results in Pulp failing to mirror the repository with error message "Malformed repository: metadata is missing for some packages in filelists.xml and in other.xml".

The packages in question are:
firefox-debuginfo-45.1.1-1.el7.centos.x86_64.rpm
firefox-debuginfo-45.1.1-1el7.centos.x86_64.rpm

Listed in primary.xml as:
<package type="rpm">
  <name>firefox-debuginfo</name>
  <arch>x86_64</arch>
  <version epoch="0" ver="45.1.1" rel="1.el7.centos"/>
...

and:
<package type="rpm">
  <name>firefox-debuginfo</name>
  <arch>x86_64</arch>
  <version epoch="0" ver="45.1.1" rel="1el7.centos"/>


Please let me know if you need any further information in this issue!
Additional InformationI first reported this to the Pulp project as issue 3161: https://pulp.plan.io/issues/3161

I have also created a mirror of the debuginfo yumrepo as of 2017-11-29: http://fiction.it.liu.se/debuginfo.centos.org/7/x86_64/
Tagsdebuginfo
abrt_hash
URLhttp://debuginfo.centos.org/7/x86_64/

Activities

tedward

tedward

2018-05-17 15:52

reporter   ~0031863

Bumping this to see if it can get some attention. It's been 5 months with no activity. Please remove the incorrectly named, and conflicting package "firefox-debuginfo-45.1.1-1el7.centos.x86_64.rpm" from the debuginfo repo.
TrevorH

TrevorH

2018-05-19 00:39

manager   ~0031875

http://debuginfo.centos.org/7/x86_64/firefox-debuginfo-45.1.1-1el7.centos.x86_64.rpm needs to be removed (no dot before el7.centos)
tigalch

tigalch

2018-05-30 05:08

manager   ~0031950

Should be fixed now - file deleted.
qha

qha

2018-05-30 08:46

reporter   ~0031952

Great, when will the repo metadata reflect that?

% curl -s http://debuginfo.centos.org/7/x86_64/repodata/dcf62c9dd64025c4c44a3fc3dcce05ab0a01d27a-primary.xml.gz| zcat| grep -C20 firefox-debuginfo| grep -B2 'version .* ver="45[.]1[.]1"'
  <name>firefox-debuginfo</name>
  <arch>x86_64</arch>
  <version epoch="0" ver="45.1.1" rel="1.el7.centos"/>
--
  <name>firefox-debuginfo</name>
  <arch>x86_64</arch>
  <version epoch="0" ver="45.1.1" rel="1el7.centos"/>
% wget http://debuginfo.centos.org/7/x86_64/repodata/dd71733edaa0d04561fa0fad761b3e7ac4e7bdc9-primary.sqlite.bz2
--2018-05-30 10:45:20-- http://debuginfo.centos.org/7/x86_64/repodata/dd71733edaa0d04561fa0fad761b3e7ac4e7bdc9-primary.sqlite.bz2
Resolving debuginfo.centos.org (debuginfo.centos.org)... 2604:1580:fe02:2::10, 2a00:f10:10b:13::10, 67.219.148.138, ...
Connecting to debuginfo.centos.org (debuginfo.centos.org)|2604:1580:fe02:2::10|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2299356 (2,2M) [application/x-bzip2]
Saving to: ‘dd71733edaa0d04561fa0fad761b3e7ac4e7bdc9-primary.sqlite.bz2’

dd71733edaa0d04561f 100%[===================>] 2,19M 2,24MB/s in 1,0s

2018-05-30 10:45:22 (2,24 MB/s) - ‘dd71733edaa0d04561fa0fad761b3e7ac4e7bdc9-primary.sqlite.bz2’ saved [2299356/2299356]

% bunzip2 dd71733edaa0d04561fa0fad761b3e7ac4e7bdc9-primary.sqlite.bz2
% sqlite3 dd71733edaa0d04561fa0fad761b3e7ac4e7bdc9-primary.sqlite "select name, arch, epoch, version, release from packages where name = 'firefox-debuginfo' and version = '45.1.1'"
firefox-debuginfo|x86_64|0|45.1.1|1.el7.centos
firefox-debuginfo|x86_64|0|45.1.1|1el7.centos
qha

qha

2018-05-31 11:47

reporter   ~0031972

Apparently the answer is today.
TrevorH

TrevorH

2018-05-31 12:02

manager   ~0031973

Meaning "Fixed"?
qha

qha

2018-05-31 12:18

reporter   ~0031975

Yes, our Pulp has managed to mirror it now.

Issue History

Date Modified Username Field Change
2017-12-05 09:46 qha New Issue
2017-12-05 09:46 qha Tag Attached: debuginfo
2018-05-17 15:52 tedward Note Added: 0031863
2018-05-19 00:39 TrevorH Note Added: 0031875
2018-05-30 05:08 tigalch Status new => resolved
2018-05-30 05:08 tigalch Resolution open => fixed
2018-05-30 05:08 tigalch Note Added: 0031950
2018-05-30 07:19 arrfab Status resolved => assigned
2018-05-30 07:19 arrfab Note Added: 0031951
2018-05-30 08:46 qha Note Added: 0031952
2018-05-31 11:47 qha Note Added: 0031972
2018-05-31 12:02 TrevorH Note Added: 0031973
2018-05-31 12:18 qha Note Added: 0031975
2018-05-31 12:21 TrevorH Status assigned => closed
2018-05-31 12:21 TrevorH Fixed in Version => 7.5.1804